/*
 * Utility functions for stat structures.
 *
 * Copyright (C) 2022, 2024 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include "stat.h"

void (*systypes_copy_from_sys_stat_override)(struct stat *, sys_stat_t *) = NULL;
void (*systypes_copy_to_sys_stat_override)(struct stat *, sys_stat_t *) = NULL;

void systypes_copy_from_sys_stat(struct stat *st, sys_stat_t *sst)
{
  if (systypes_copy_from_sys_stat_override != NULL)
    systypes_copy_from_sys_stat_override(st, sst);
  else
    COPY_STAT(st, sst)
}

void systypes_copy_to_sys_stat(struct stat *st, sys_stat_t *sst)
{
  if (systypes_copy_from_sys_stat_override != NULL)
    systypes_copy_to_sys_stat_override(st, sst);
  else
    COPY_STAT(sst, st)
}

/* vim: tabstop=2 expandtab shiftwidth=2
*/
